org.eclnt.jsfserver.elements.impl

## Class IMAGESHAKERBinding

- java.lang.Object
- - org.eclnt.jsfserver.elements.impl.IMAGESHAKERBinding

- All Implemented Interfaces:
    java.io.Serializable, IDynamicContentBindingObject

      public class IMAGESHAKERBinding
      extends java.lang.Object
      implements java.io.Serializable, IDynamicContentBindingObject

  See Also:
    Serialized Form

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `class` | `IMAGESHAKERBinding.ImageInfo`
    `class` | `IMAGESHAKERBinding.ImageInfoMap`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IMAGESHAKERBinding()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addImage(java.lang.String image)` Adds an image - the image being represented by a normal image link (e.g.
    `void` | `addImage(java.lang.String image, java.lang.String tooltip)` Extended method to add an image and a tooltip that is shown on top of the image.
    `protected java.lang.String` | `buildBgpaintForSelectedTab(java.lang.String image)`
    `protected java.lang.String` | `buildBgpaintForUnselectedTab(java.lang.String image)`
    `protected java.lang.String` | `buildBgpaintForUnselectedTabWithShearingLeftSide(java.lang.String image)`
    `protected java.lang.String` | `buildBgpaintForUnselectedTabWithShearingRightSide(java.lang.String image)`
    `void` | `clearImages()` Clears all image items so that the component is "empty".
    `protected java.awt.Rectangle` | `getBounds(int index)`
    `int` | `getChangeIndex()` Internal use only.
    `protected int` | `getHeight(int index)`
    `IMAGESHAKERBinding.ImageInfoMap` | `getImageInfoMap()`
    `java.util.List<java.lang.String>` | `getImages()` Internally used.
    `int` | `getOffsetX()`
    `int` | `getOffsetY()`
    `int` | `getSelectedIndex()` Index of currently selected image item.
    `java.lang.String` | `getSelectionBorderColor()`
    `java.util.List<java.lang.String>` | `getTooltips()` Internally used.
    `Trigger` | `getTrigger()`
    `protected int` | `getWidth(int index)`
    `boolean` | `getWithShearing()`
    `protected int` | `getZIndex(int index)`
    `void` | `onNext(ActionEvent event)` Internal use only.
    `void` | `onPrevious(ActionEvent event)` Internal use only.
    `protected void` | `reactOnImageSelect(int selectedIndex)` This is the method to be overridden for reacting on the selection of an image.
    `protected void` | `selectIndex(int index)`
    `protected void` | `selectIndex(int index, boolean withApplicationCallBack)`
    `void` | `setImageheight(int imageheight)`
    `void` | `setImagewidth(int imagewidth)`
    `void` | `setOffsetX(int offsetX)` This is the x-offset that is used when drawing the items.
    `void` | `setOffsetY(int offsetY)` This is the y-offset that is used when drawing the items.
    `void` | `setSelectedIndex(int index, boolean withApplicationCallback)`
    `void` | `setSelectionBorderColor(java.lang.String value)`
    `void` | `setWithShearing(boolean withShearing)` If set to true, then non-selected components will be automatically sheared.
    `protected void` | `updateChangeIndex()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IMAGESHAKERBinding

          public IMAGESHAKERBinding()

  - ### Method Detail

    - #### setSelectionBorderColor

          public void setSelectionBorderColor(java.lang.String value)

    - #### getSelectionBorderColor

          public java.lang.String getSelectionBorderColor()

    - #### getOffsetX

          public int getOffsetX()

    - #### setOffsetX

          public void setOffsetX(int offsetX)

      This is the x-offset that is used when drawing the items.

    - #### getOffsetY

          public int getOffsetY()

    - #### setOffsetY

          public void setOffsetY(int offsetY)

      This is the y-offset that is used when drawing the items.

    - #### getImageInfoMap

          public IMAGESHAKERBinding.ImageInfoMap getImageInfoMap()

    - #### getTrigger

          public Trigger getTrigger()

    - #### getWithShearing

          public boolean getWithShearing()

    - #### setWithShearing

          public void setWithShearing(boolean withShearing)

      If set to true, then non-selected components will be automatically sheared. Result: you can opticall arrange more items within the component, and things look nice...

    - #### getImages

          public java.util.List<java.lang.String> getImages()

      Internally used. Do not directly manipulate the list of images!

    - #### getTooltips

          public java.util.List<java.lang.String> getTooltips()

      Internally used. Do not directly manipulate the list of tooltips!

    - #### setImagewidth

          public void setImagewidth(int imagewidth)

    - #### setImageheight

          public void setImageheight(int imageheight)

    - #### clearImages

          public void clearImages()

      Clears all image items so that the component is "empty".

    - #### addImage

          public void addImage(java.lang.String image)

      Adds an image - the image being represented by a normal image link (e.g. /images/xyz.png) that points to an image within the current web application.

    - #### addImage

          public void addImage(java.lang.String image,
                               java.lang.String tooltip)

      Extended method to add an image and a tooltip that is shown on top of the image.

    - #### getChangeIndex

          public int getChangeIndex()

      Internal use only.

    - #### onNext

          public void onNext(ActionEvent event)

      Internal use only.

    - #### onPrevious

          public void onPrevious(ActionEvent event)

      Internal use only.

    - #### getSelectedIndex

          public int getSelectedIndex()

      Index of currently selected image item.

    - #### setSelectedIndex

          public void setSelectedIndex(int index,
                                       boolean withApplicationCallback)

      Parameters:
        `index` - Image to be selected.
        `withApplicationCallback` - Flag if to call the "reactOnImageSelection" method or not.

    - #### reactOnImageSelect

          protected void reactOnImageSelect(int selectedIndex)

      This is the method to be overridden for reacting on the selection of an image.

    - #### getBounds

          protected java.awt.Rectangle getBounds(int index)

    - #### getZIndex

          protected int getZIndex(int index)

    - #### selectIndex

          protected void selectIndex(int index)

    - #### selectIndex

          protected void selectIndex(int index,
                                     boolean withApplicationCallBack)

    - #### getWidth

          protected int getWidth(int index)

    - #### getHeight

          protected int getHeight(int index)

    - #### updateChangeIndex

          protected void updateChangeIndex()

    - #### buildBgpaintForSelectedTab

          protected java.lang.String buildBgpaintForSelectedTab(java.lang.String image)

    - #### buildBgpaintForUnselectedTab

          protected java.lang.String buildBgpaintForUnselectedTab(java.lang.String image)

    - #### buildBgpaintForUnselectedTabWithShearingLeftSide

          protected java.lang.String buildBgpaintForUnselectedTabWithShearingLeftSide(java.lang.String image)

    - #### buildBgpaintForUnselectedTabWithShearingRightSide

          protected java.lang.String buildBgpaintForUnselectedTabWithShearingRightSide(java.lang.String image)

Copyright © CaptainCasa Gmbh. All Rights Reserved.